Qt Reference Documentation

# Obsolete Members for QPaintEngineState

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QPaintEngineState class reference

## Public Functions

QMatrix | matrix () const`(obsolete)`

## Member Function Documentation

### QMatrix QPaintEngineState::matrix () const

Returns the matrix in the current paint engine state.

Note: It is advisable to use transform() instead of this function to preserve the properties of perspective transformations.

This variable should only be used when the state() returns a combination which includes the QPaintEngine::DirtyTransform flag.

This function was introduced in Qt 4.2.

See also state() and QPaintEngine::updateState().